[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Wheezy with Xfce4 --- problems with 3.0.0-1-amd64 kernel



see below.

On Thu, Nov 17, 2011 at 13:20, Ralf Mardorf <ralf.mardorf@alice-dsl.net> wrote:
> On Thu, 2011-11-17 at 08:31 -0600, Kjetil brinchmann Halvorsen wrote:
>> Hola!
>>
>> I just got to reinstall debiann vause my harddisk fried. I wanted to
>> use the opportunity to change from gnome
>> to Xfce4. This worked well when I installed stable, but when upgrading
>> to wheezy the problems arrived.
>>
>> First some output from lspci:
>>
>> VGA compatible controller : nVidia corporation C51 [GeForce Go 6150] (rev a2)
>>
>> So i tried to install the nVidia drivers, but that does mot seem to work.
>>
>> When booting, tye kernel 3.0.0-1-amd64 boots, but the X window system
>> (with GDM3) do not start.
>>
>> I can work with the 2.6.32-5-amd64 kernel, though the Xfce desktop has
>> some problems --- the panel line at foot of the monitor do not show,
>> neither do the machine find the wireless network (I installed wicd).
>>
>> Any ideas?
>>
>> Kjetil Halvorsen
>
> Hi :)
>
> on Linux audio users lists several issues with Nvidia graphics are
> known. At least older Nvidia cards do not work proper with the nouveau
> driver.
>
> Did you test the proprietary driver?
>
> Some days ago I switched to Xfce, but kept GNOME 3 installed. I also
> kept the nv driver from stable, but currently I'm running a full preempt
> 2.6.39.1 with treadirqs and the proprietary driver 173.14.30.
>
> I already build 3.0.7-rt20 patched to run with the proprietary driver
> around a week ago, but still had no time to go on installing it. AFAIK
> the proprietary driver should work as long as you don't use the rt-patch
> without tweaks.
>
> You should post Nvidia and X related log messages.
>
> - Ralf
>
Here I am posting some excerpts from /var/log/Xorg.0.log   :

[    19.519] (II) The server relies on udev to provide the list of
input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[    19.519] (II) Loader magic: 0x7f0484d3bae0
[    19.519] (II) Module ABI versions:
[    19.519] 	X.Org ANSI C Emulation: 0.4
[    19.519] 	X.Org Video Driver: 11.0
[    19.519] 	X.Org XInput driver : 13.0
[    19.519] 	X.Org Server Extension : 6.0
[    19.521] (--) PCI:*(0:0:5:0) 10de:0244:103c:30b7 rev 162, Mem @
0xb2000000/16777216, 0xc0000000/268435456, 0xb1000000/16777216, BIOS @
0x????????/131072
[    19.521] (II) Open ACPI successful (/var/run/acpid.socket)
[    19.521] (II) LoadModule: "extmod"
[    19.742] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[    19.834] (II) Module extmod: vendor="X.Org Foundation"
[    19.834] 	compiled for 1.11.1.902, module version = 1.0.0
[    19.834] 	Module class: X.Org Server Extension
[    19.834] 	ABI class: X.Org Server Extension, version 6.0
[    19.834] (II) Loading extension SELinux
[    19.834] (II) Loading extension MIT-SCREEN-SAVER
[    19.834] (II) Loading extension XFree86-VidModeExtension
[    19.835] (II) Loading extension XFree86-DGA
[    19.835] (II) Loading extension DPMS
[    19.835] (II) Loading extension XVideo
[    19.835] (II) Loading extension XVideo-MotionCompensation
[    19.835] (II) Loading extension X-Resource
[    19.835] (II) LoadModule: "dbe"
[    19.835] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[    19.842] (II) Module dbe: vendor="X.Org Foundation"
[    19.842] 	compiled for 1.11.1.902, module version = 1.0.0
[    19.842] 	Module class: X.Org Server Extension
[    19.842] 	ABI class: X.Org Server Extension, version 6.0
[    19.842] (II) Loading extension DOUBLE-BUFFER
[    19.842] (II) LoadModule: "glx"
[    19.842] (II) Loading /usr/lib/xorg/modules/linux/libglx.so
[    20.870] (II) Module glx: vendor="NVIDIA Corporation"
[    20.954] 	compiled for 4.0.2, module version = 1.0.0
[    20.954] 	Module class: X.Org Server Extension
[    20.954] (II) NVIDIA GLX Module  275.36  Sun Oct 16 22:11:16 PDT 2011
[    20.954] (II) Loading extension GLX
[    20.954] (II) LoadModule: "record"
[    20.955] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[    21.059] (II) Module record: vendor="X.Org Foundation"
[    21.059] 	compiled for 1.11.1.902, module version = 1.13.0
[    21.059] 	Module class: X.Org Server Extension
[    21.059] 	ABI class: X.Org Server Extension, version 6.0
[    21.059] (II) Loading extension RECORD
[    21.059] (II) LoadModule: "dri"
[    21.072] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[    21.085] (II) Module dri: vendor="X.Org Foundation"
[    21.085] 	compiled for 1.11.1.902, module version = 1.0.0
[    21.085] 	ABI class: X.Org Server Extension, version 6.0
[    21.085] (II) Loading extension XFree86-DRI
[    21.085] (II) LoadModule: "dri2"
[    21.086] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[    21.087] (II) Module dri2: vendor="X.Org Foundation"
[    21.087] 	compiled for 1.11.1.902, module version = 1.2.0
[    21.087] 	ABI class: X.Org Server Extension, version 6.0
[    21.087] (II) Loading extension DRI2
[    21.087] (==) Matched nouveau as autoconfigured driver 0
[    21.087] (==) Matched nv as autoconfigured driver 1
[    21.087] (==) Matched vesa as autoconfigured driver 2
[    21.087] (==) Matched fbdev as autoconfigured driver 3
[    21.087] (==) Assigned the driver to the xf86ConfigLayout
[    21.087] (II) LoadModule: "nouveau"
[    21.087] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
[    21.112] (II) Module nouveau: vendor="X.Org Foundation"
[    21.112] 	compiled for 1.11.0, module version = 0.0.16
[    21.112] 	Module class: X.Org Video Driver
[    21.112] 	ABI class: X.Org Video Driver, version 11.0
[    21.112] (II) LoadModule: "nv"
[    21.113] (WW) Warning, couldn't open module nv
[    21.113] (II) UnloadModule: "nv"
[    21.113] (II) Unloading nv
[    21.113] (EE) Failed to load module "nv" (module does not exist, 0)
[    21.113] (II) LoadModule: "vesa"
[    21.114] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[    21.219] (II) Module vesa: vendor="X.Org Foundation"
[    21.219] 	compiled for 1.11.0, module version = 2.3.0
[    21.219] 	Module class: X.Org Video Driver
[    21.219] 	ABI class: X.Org Video Driver, version 11.0
[    21.219] (II) LoadModule: "fbdev"
[    21.219] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[    21.220] (II) Module fbdev: vendor="X.Org Foundation"
[    21.220] 	compiled for 1.11.0, module version = 0.4.2
[    21.220] 	ABI class: X.Org Video Driver, version 11.0
[    21.220] (II) NOUVEAU driver Date:   Thu Mar 24 02:13:12 2011 +1000
[    21.220] (II) NOUVEAU driver for NVIDIA chipset families :
[    21.220] 	RIVA TNT        (NV04)
[    21.220] 	RIVA TNT2       (NV05)
[    21.220] 	GeForce 256     (NV10)
[    21.220] 	GeForce 2       (NV11, NV15)
[    21.220] 	GeForce 4MX     (NV17, NV18)
[    21.220] 	GeForce 3       (NV20)
[    21.220] 	GeForce 4Ti     (NV25, NV28)
[    21.221] 	GeForce FX      (NV3x)
[    21.221] 	GeForce 6       (NV4x)
[    21.222] 	GeForce 7       (G7x)
[    21.223] 	GeForce 8       (G8x)
[    21.223] 	GeForce GTX 200 (NVA0)
[    21.223] 	GeForce GTX 400 (NVC0)
[    21.223] (II) VESA: driver for VESA chipsets: vesa
[    21.223] (II) FBDEV: driver for framebuffer: fbdev
[    21.223] (++) using VT number 7

[    21.244] drmOpenDevice: node name is /dev/dri/card0
[    22.293] drmOpenByBusid: Searching for BusID pci:0000:00:05.0
[    22.293] drmOpenDevice: node name is /dev/dri/card0
[    22.293] drmOpenDevice: open result is 8, (OK)
[    22.293] drmOpenByBusid: drmOpenMinor returns 8
[    22.293] drmOpenByBusid: Interface 1.4 failed, trying 1.1
[    22.293] drmOpenByBusid: drmGetBusid reports pci:0000:00:05.0
[    22.294] (EE) [drm] failed to open device
[    22.294] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[    22.294] vesa: Ignoring device with a bound kernel driver
[    22.294] (WW) Falling back to old probe method for vesa
[    22.294] (II) Loading sub module "fbdevhw"
[    22.294] (II) LoadModule: "fbdevhw"
[    22.294] (II) Loading /usr/lib/xorg/modules/libfbdevhw.so
[    22.367] (II) Module fbdevhw: vendor="X.Org Foundation"
[    22.368] 	compiled for 1.11.1.902, module version = 0.0.2
[    22.368] 	ABI class: X.Org Video Driver, version 11.0
[    22.368] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[    22.368] (II) Loading /usr/lib/xorg/modules/libfbdevhw.so
[    22.368] (**) FBDEV(1): claimed PCI slot 0@0:5:0
[    22.368] (II) FBDEV(1): using default device
[    22.368] (II) FBDEV(1): Creating default Display subsection in
Screen section

To repeat: My card is GeForce G0 6150, whgich is among the cards the
novaou driver shold work for!

Kjetil


>
> --
> To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: 1321557623.2991.22.camel@debian">http://lists.debian.org/1321557623.2991.22.camel@debian
>
>



-- 
"If you want a picture of the future - imagine a boot stamping on the
human face - forever."

George Orwell (1984)


Reply to: